/*
 * @(#) Sure106.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure106
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure106 ()
    {}

    private static final String [] ayts =
    {
        "#106=Quraich=Los Coraix\u00EDes=Mecana=4",
        "1. Por el pacto de los coraix\u00EDes,",
        "2. pacto relativo a la caravana deinvierno y la de verano,",
        "3. \u00A1que sirvan, pues, al Se\u00F1or de estaCasa,",
        "4. que les ha alimentado contra elhambre y dado seguridad frente al temor!",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 106;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Quraich";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "Los Coraix\u00EDes";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 4;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "106: Quraich";
    }

}//class end
