/*
 * @(#) Sure112.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure112
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure112 ()
    {}

    private static final String [] ayts =
    {
        "#112=Al-Ijl\u00E1s=La Fe Pura=Mecana=4",
        "1. Di: \u00AB\u00A1\u00C9l es Al\u00E1, Uno,",
        "2. Dios, el Eterno.",
        "3. No ha engendrado, ni ha sidoengendrado.",
        "4. No tiene par\u00BB.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 112;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Ijl\u00E1s";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "La Fe Pura";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 4;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "112: Al-Ijl\u00E1s";
    }

}//class end
