/*
 * @(#) Sure62.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure62
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure62 ()
    {}

    private static final String [] ayts =
    {
        "#62=Al-Yumu'ah=El Viernes=Medinesa=11",
        "1. Lo que est\u00E1 en los cielos y en latierra glorifica a Al\u00E1, el Rey, el Sant\u00EDsimo, el Poderoso, el Sabio.",
        "2. \u00C9l es quien ha mandado a losgentiles un Enviado salido de ellos, que les recita Sus aleyas, les purifica y les ense\u00F1a la Escritura y la Sabidur\u00EDa. Antes estaban, evidentemente, extraviados.",
        "3. Y a otros de ellos, que no se leshan incorporado a\u00FAn. Es el Poderoso, el Sabio.",
        "4. \u00C9se es el favor de Al\u00E1, quedispensa a quien \u00C9l quiere. Al\u00E1 es el Due\u00F1o del favor inmenso.",
        "5. Aqu\u00E9llos a quienes se hab\u00EDaconfiado la Tora pero no la observaron son semejantes a un asno que lleva libros. \u00A1Qu\u00E9 mal ejemplo da la gente que desmiente los signos de Al\u00E1! Al\u00E1 no dirige al pueblo imp\u00EDo.",
        "6. Di: \u00AB\u00A1Jud\u00EDos! Si pretend\u00E9is ser losamigos de Al\u00E1, con exclusi\u00F3n de otras gentes, entonces, \u00A1desead la muerte, si sois consecuentes!\u00BB",
        "7. Pero nunca la desean por lo quesus manos han cometido. Al\u00E1 conoce bien a los imp\u00EDos.",
        "8. Di: \u00ABLa muerte, de la que hu\u00EDs, ossaldr\u00E1 al encuentro. Luego, se os devolver\u00E1 al Conocedor de lo oculto y de lo patente y ya os informar\u00E1 \u00C9l de lo que hac\u00EDais\u00BB.",
        "9. \u00A1Creyentes! Cuando se llame elviernes a la azal\u00E1, \u00A1corred a recordar a Al\u00E1 y dejad el comercio! Es mejor para vosotros. Si supierais...",
        "10. Terminada la azal\u00E1, \u00A1id a vuestrascosas, buscad el favor de Al\u00E1! \u00A1Recordad mucho a Al\u00E1! Quiz\u00E1s, as\u00ED, prosper\u00E9is.",
        "11. Cuando ven un negocio o unadistracci\u00F3n, escapan all\u00E1 y te dejan plantado. Di: \u00ABLo que Al\u00E1 tiene es mejor que la distracci\u00F3n y el negocio. Al\u00E1 es el Mejor de los proveedores\u00BB.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 62;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Yumu'ah";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "El Viernes";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Medinesa";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 11;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "62: Al-Yumu'ah";
    }

}//class end
