/*
 * @(#) Sure82.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure82
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure82 ()
    {}

    private static final String [] ayts =
    {
        "#82=Al-Infit\u00E1r=La Hendidura=Mecana=19",
        "1. Cuando el cielo se hienda,",
        "2. cuando las estrellas se dispersen,",
        "3. cuando los mares seandesbordados,",
        "4. cuando las sepulturas sean vueltasal rev\u00E9s,",
        "5. sabr\u00E1 cada cual lo que hizo y lo quedej\u00F3 de hacer.",
        "6. \u00A1Hombre! \u00BFQu\u00E9 es lo que te haenga\u00F1ado acerca de tu noble Se\u00F1or,",
        "7. Que te ha creado, dado forma ydisposici\u00F3n armoniosas,",
        "8. Que te ha formado del modo que haquerido?",
        "9. \u00A1Pero no! Desment\u00EDs el Juicio,",
        "10. pero hay quienes os guardan:",
        "11. nobles, escribas,",
        "12. que saben lo que hac\u00E9is.",
        "13. S\u00ED, los justos estar\u00E1n en delicia,",
        "14. mientras que los pecadoresestar\u00E1n en fuego de gehena.",
        "15. En \u00E9l arder\u00E1n el d\u00EDa del Juicio",
        "16. y no se ausentar\u00E1n de \u00E9l.",
        "17. Y \u00BFc\u00F3mo sabr\u00E1s qu\u00E9 es el d\u00EDa delJuicio?",
        "18. S\u00ED, \u00BFc\u00F3mo sabr\u00E1s qu\u00E9 es el d\u00EDa delJuicio?",
        "19. El d\u00EDa que nadie pueda hacernada en favor de nadie. Y ser\u00E1 Al\u00E1 Quien, ese d\u00EDa, decida.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 82;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Infit\u00E1r";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "La Hendidura";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 19;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "82: Al-Infit\u00E1r";
    }

}//class end
