/*
 * @(#) Sure84.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure84
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure84 ()
    {}

    private static final String [] ayts =
    {
        "#84=Al-Inchiq\u00E1q=El Desgarr\u00F3n=Mecana=25",
        "1. Cuando el cielo se desgarre",
        "2. y escuche a su Se\u00F1or -como debeser-,",
        "3. cuando la tierra sea allanada,",
        "4. vomite su contenido, vaci\u00E1ndose,",
        "5. y escuche a su Se\u00F1or -como debeser-...",
        "6. \u00A1Hombre! Te esfuerzas condenuedo en encontrar a tu Se\u00F1or y Le encontrar\u00E1s.",
        "7. Aqu\u00E9l que reciba su Escritura en ladiestra",
        "8. ser\u00E1 juzgado benignamente",
        "9. y regresar\u00E1, alegre, a los suyos.",
        "10. Pero aqu\u00E9l que reciba su Escrituradetr\u00E1s de la espalda",
        "11. invocar\u00E1 la destrucci\u00F3n,",
        "12. pero arder\u00E1 en fuego de gehena.",
        "13. Viv\u00EDa alegre con los suyos,",
        "14. creyendo que no iba a volver.",
        "15. \u00A1Claro que s\u00ED! Su Se\u00F1or le ve\u00EDabien.",
        "16. \u00A1Pues no! \u00A1Juro por el arrebolvespertino,",
        "17. por la noche y por lo quecongrega,",
        "18. por la luna cuando est\u00E1 llena,",
        "19. que hab\u00E9is de pasar de uno a otroestado!",
        "20. Pero \u00BFqu\u00E9 les pasa que no creen",
        "21. y, cuando se les recita el Cor\u00E1n,no se prosternan?",
        "22. \u00A1No! Los infieles desmienten;",
        "23. pero Al\u00E1 conoce bien lo queocultan.",
        "24. \u00A1An\u00FAnciales, pues, un castigodoloroso!",
        "25. Quienes, en cambio, crean y obrenbien, recibir\u00E1n una recompensa ininterrumpida.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 84;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Inchiq\u00E1q";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "El Desgarr\u00F3n";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 25;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "84: Al-Inchiq\u00E1q";
    }

}//class end
