/*
 * @(#) Sure97.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure97
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure97 ()
    {}

    private static final String [] ayts =
    {
        "#97=Al-Qadr=EL Destino=Mecana=5",
        "1. Lo hemos revelado en la noche delDestino.",
        "2. Y \u00BFc\u00F3mo sabr\u00E1s qu\u00E9 es la nochedel Destino?",
        "3. La noche del Destino vale m\u00E1s demil meses.",
        "4. Los \u00E1ngeles y el Esp\u00EDritudescienden en ella, con permiso de su Se\u00F1or, para fijarlo todo.",
        "5. \u00A1Es una noche de paz, hasta elrayar del alba!",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 97;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Qadr";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "EL Destino";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 5;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "97: Al-Qadr";
    }

}//class end
