/*
 * @(#) Sure98.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure98
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure98 ()
    {}

    private static final String [] ayts =
    {
        "#98=Al-Baiyinah=La Prueba Clara=Medinesa=8",
        "1. Los que no creen, tanto gente de laEscritura como asociadores, no pod\u00EDan renunciar hasta que les viniera la prueba clara:",
        "2. un Enviado de Dios, que recitarahojas purificadas,",
        "3. que conten\u00EDan Escriturasverdaderas.",
        "4. Y quienes recibieron la Escritura nose dividieron sino despu\u00E9s de venir a ellos la prueba clara.",
        "5. Pero no se les orden\u00F3 sino quesirvieran a Dios, rindi\u00E9ndole culto sincero como hanifes, que hicieran la azal\u00E1 y dieran el azaque. \u00C9sa es la religi\u00F3n verdadera.",
        "6. Los que no crean, tanto gente de laEscritura como asociadores estar\u00E1n, eternamente, en el fuego de la gehena. \u00C9sos son lo peor de la creaci\u00F3n.",
        "7. En cambio, los que crean y obrenbien, \u00E9sos son lo mejor de la creaci\u00F3n,",
        "8. y tendr\u00E1n como retribuci\u00F3n, junto asu Se\u00F1or, los jardines del ed\u00E9n, por cuyos bajos fluyen arroyos, en los que estar\u00E1n eternamente, para siempre. Dios est\u00E1 satisfecho de ellos y ellos lo est\u00E1n de \u00C9l. Esto es s\u00F3lo para quien tiene miedo de su Se\u00F1or.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 98;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Baiyinah";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "La Prueba Clara";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Medinesa";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 8;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "98: Al-Baiyinah";
    }

}//class end
