/*
 * @(#) Sure109.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure109
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure109 ()
    {}

    private static final String [] ayts =
    {
        "#109=Al-K\u00E1fir\u00FAn=Los Infieles=Mecana=6",
        "1. Di: \u00AB\u00A1Infieles!",
        "2. Yo no sirvo lo que vosotros serv\u00EDs,",
        "3. Y vosotros no serv\u00EDs lo que yo sirvo.",
        "4. Yo no sirvo lo que vosotros hab\u00E9isservido",
        "5. y vosotros no serv\u00EDs lo que yo sirvo.",
        "6. Vosotros ten\u00E9is vuestra religi\u00F3n y yola m\u00EDa\u00BB.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 109;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-K\u00E1fir\u00FAn";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "Los Infieles";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 6;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "109: Al-K\u00E1fir\u00FAn";
    }

}//class end
