/*
 * @(#) Sure11.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure11
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure11 ()
    {}

    private static final String [] ayts =
    {
        "#11=H\u00FAd=El Profeta Hud=Mecana=123",
        "1. Alif-l\u00E1m-r\u00E1. He aqu\u00ED una Escritura cuyasaleyas han sido hechas un\u00EDvocas y, luego, explicadas detalladamente, y que procede de Uno Que es sabio, Que est\u00E1 bien informado.",
        "2. \u00A1Que no sirv\u00E1is sino a Al\u00E1! Yo soypara vosotros, de parte Suya, un monitor y nuncio de buenas nuevas.",
        "3. Y \u00A1que pid\u00E1is perd\u00F3n a vuestroSe\u00F1or y, luego, os volv\u00E1is a \u00C9l! Os permitir\u00E1, entonces, disfrutar bien por un tiempo determinado y conceder\u00E1 Su favor a todo favorecido. Pero, si volv\u00E9is la espalda, temo por vosotros el castigo de un d\u00EDa terrible.",
        "4. Volver\u00E9is a Al\u00E1. Es omnipotente.",
        "5. Se repliegan en s\u00ED mismos parasustraerse a \u00C9l. Aunque se cubran con la ropa, \u00C9l sabe lo que ocultan y lo que manifiestan: sabe bien lo que encierran los pechos.",
        "6. No hay bestia sobre la tierra a cuyosustento no provea Al\u00E1, Que conoce su madriguera y su dep\u00F3sito: todo est\u00E1 en una Escritura clara.",
        "7. \u00C9l es Quien ha creado los cielos y latierra en seis d\u00EDas, teniendo Su Trono en el agua, para probaros, para ver qui\u00E9n de vosotros es el que mejor se comporta. Si dices: \u00ABSer\u00E9is resucitados despu\u00E9s de muertos\u00BB, seguro que los infieles dicen: \u00ABEsto no es m\u00E1s que manifiesta magia\u00BB.",
        "8. Si retrasamos su castigo hasta unmomento dado, seguro que dicen: \u00AB\u00BFQu\u00E9 es lo que lo impide?\u00BB El d\u00EDa que les llegue no se les alejar\u00E1 de \u00E9l y se ver\u00E1n cercados por aquello de que se burlaban.",
        "9. Si hacemos gustar al hombre unamisericordia venida de Nosotros y luego le privamos de ella, est\u00E1 completamente desesperado, desagradecido.",
        "10. Si le hacemos gustar una dicha,luego de haber sufrido una desdicha, seguro que dice: \u00AB\u00A1Se han alejado de m\u00ED los males!\u00BB S\u00ED, se regocija, se ufana.",
        "11. En cambio, quienes seanpacientes y obren bien, obtendr\u00E1n perd\u00F3n y una gran recompensa.",
        "12. T\u00FA, quiz\u00E1s, omitir\u00EDas parte de loque se te ha revelado -y te angustias por ello- porque dicen: \u00AB\u00BFPor qu\u00E9 no se le ha enviado abajo un tesoro o le ha acompa\u00F1ado un \u00E1ngel?\u00BB Pero t\u00FA no eres m\u00E1s que un monitor. Y Al\u00E1 vela por todo...",
        "13. O dicen: \u00AB\u00C9l lo ha inventado\u00BB. Di:\u00ABSi es verdad lo que dec\u00EDs, \u00A1traed diez suras como \u00E9l, inventadas, y llamad a quien pod\u00E1is, en lugar de llamar a Al\u00E1!\u00BB",
        "14. Y si no os escuchan, sabed queha sido revelado con la ciencia de Al\u00E1 y que no hay m\u00E1s dios que \u00C9l. \u00BFOs someter\u00E9is, pues, a \u00C9l?",
        "15. A quienes hayan deseado la vidade ac\u00E1 y su ornato, les remuneraremos en ella con arreglo a sus obras y no ser\u00E1n defraudados en ella.",
        "16. \u00C9sos son los que no tendr\u00E1n en laotra vida m\u00E1s que el Fuego. Sus obras no fructificar\u00E1n y ser\u00E1 vano lo que hayan hecho.",
        "17. \u00BFEs que quien se basa en unaprueba clara venida de su Se\u00F1or, recitada por un testigo de \u00C9ste...? Antes de \u00E9l, la Escritura de Mois\u00E9s serv\u00EDa de gu\u00EDa y de misericordia. \u00C9sos creen en ella. Quien de los grupos no cree en ella tiene el Fuego como lugar de cita. T\u00FA no dudes de ella. Es la Verdad, venida de tu Se\u00F1or. Pero la mayor\u00EDa de los hombres no creen.",
        "18. \u00BFHay alguien m\u00E1s imp\u00EDo que quieninventa una mentira contra Al\u00E1? Esos tales ser\u00E1n conducidos ante su Se\u00F1or y los testigos dir\u00E1n: \u00AB\u00C9stos son los que mintieron contra su Se\u00F1or\u00BB. \u00A1S\u00ED! \u00A1Que la maldici\u00F3n de Dios caiga sobre los imp\u00EDos,",
        "19. que desv\u00EDan a otros del camino deAl\u00E1, deseando que sea tortuoso, y no creen en la otra vida!",
        "20. No pudieron escapar en la tierra nituvieron, fuera de Al\u00E1, amigos. Se les doblar\u00E1 el castigo. No pod\u00EDan o\u00EDr y no ve\u00EDan.",
        "21. \u00C9sos son los que se han perdido as\u00ED mismos. Se han esfumado sus invenciones...",
        "22. \u00A1En verdad, en la otra vida ser\u00E1nlos que m\u00E1s pierdan!",
        "23. Pero quienes crean, obren bien yse muestren humildes para con su Se\u00F1or, \u00E9sos morar\u00E1n en el Jard\u00EDn eternamente.",
        "24. Estas dos clases de personas soncomo uno ciego y sordo y otro que ve y oye. \u00BFSon similares? \u00BFEs que no os dejar\u00E9is amonestar?",
        "25. Y ya enviamos No\u00E9 a su pueblo:\u00ABSoy para vosotros un monitor que habla claro:",
        "26. \u00A1No sirv\u00E1is sino a Al\u00E1! Temo porvosotros el castigo de un d\u00EDa doloroso\u00BB.",
        "27. Los dignatarios de su pueblo, queno cre\u00EDan, dijeron: \u00ABNo vemos en ti m\u00E1s que un mortal como nosotros y no vemos que nadie te siga sino la hez de nuestro pueblo, que lo hace irreflexivamente. Ni vemos que goc\u00E9is de ning\u00FAn privilegio sobre nosotros. Antes bien, creemos que ment\u00EDs\u00BB.",
        "28. Dijo: \u00AB\u00A1Pueblo! \u00BFQu\u00E9 os parece?Si yo me baso en una prueba clara venida de mi Se\u00F1or -que me ha hecho objeto de una misericordia venida de \u00C9l-, y que vosotros, en vuestra ceguera, no percib\u00EDs, \u00BFdeberemos impon\u00E9rosla a despecho vuestro?",
        "29. \u00A1Pueblo! No os pido hacienda acambio -mi salario incumbe s\u00F3lo a Al\u00E1y no voy a rechazar a quienes creen. S\u00ED, encontrar\u00E1n a su Se\u00F1or. Pero veo que sois un pueblo ignorante.",
        "30. \u00A1Pueblo! Si les rechazo, \u00BFqui\u00E9n meauxiliar\u00E1 contra Al\u00E1? \u00BFEs que no os dejar\u00E9is amonestar?",
        "31. Yo no pretendo poseer los tesorosde Al\u00E1, ni conozco lo oculto, ni pretendo ser un \u00E1ngel. Yo no digo a los que vosotros despreci\u00E1is que Al\u00E1 no les reserva ning\u00FAn bien. Al\u00E1 conoce bien sus pensamientos. Si tal dijera, ser\u00EDa de los imp\u00EDos\u00BB.",
        "32. Dijeron: \u00AB\u00A1No\u00E9! No paras dediscutir con nosotros. \u00A1Tr\u00E1enos, pues, aquello con que nos amenazas, si es verdad lo que dices!\u00BB",
        "33. Dijo: \u00ABS\u00F3lo Al\u00E1 har\u00E1 que secumpla, si \u00C9l quiere, y no podr\u00E9is escapar\u00BB.",
        "34. \u00ABSi yo quisiera aconsejaros, miconsejo no os servir\u00EDa de nada si Al\u00E1 quisiera descarriaros. \u00C9l es vuestro Se\u00F1or y ser\u00E9is devueltos a \u00C9l\u00BB.",
        "35. (O dicen: \u00AB\u00C9l lo ha inventado\u00BB.Di:\u00ABSi yo lo he inventado, \u00A1caiga sobre m\u00ED mi pecado! Pero soy inocente de lo que me imput\u00E1is\u00BB).",
        "36. Y se revel\u00F3 a No\u00E9: \u00ABDe tu pueblos\u00F3lo creer\u00E1n los que ya cre\u00EDan. \u00A1No te aflijas, pues, por lo que hicieren!",
        "37. \u00A1Construye la nave bajo Nuestramirada y seg\u00FAn Nuestra inspiraci\u00F3n y no me hables de los que han obrado imp\u00EDamente! \u00A1Van a ser anegados!\u00BB",
        "38. Y, mientras constru\u00EDa la nave,siempre que pasaban por all\u00ED dignatarios de su pueblo se burlaban de \u00E9l. Dec\u00EDa: \u00ABSi os burl\u00E1is de nosotros, ya nos burlaremos de vosotros como os burl\u00E1is.",
        "39. Ver\u00E9is qui\u00E9n recibir\u00E1 un castigohumillante y sobre qui\u00E9n se abatir\u00E1 un castigo permanente\u00BB",
        "40. Hasta que, cuando vino Nuestraorden y el horno hirvi\u00F3, dijimos: \u00ABCarga en ella a una pareja de cada especie, a tu familia -salvo a aqu\u00E9l cuya suerte ha sido ya echada- y a los creyentes\u00BB. Pero no eran sino pocos los que con \u00E9l cre\u00EDan.",
        "41. Dijo: \u00AB\u00A1Subid a ella! \u00A1Que naveguey llegue a buen puerto en el nombre de Al\u00E1! Mi Se\u00F1or es, ciertamente, indulgente, misericordioso\u00BB.",
        "42. Y naveg\u00F3 con ellos entre olascomo monta\u00F1as. No\u00E9 llam\u00F3 a su hijo, que se hab\u00EDa quedado aparte: \u00AB\u00A1Hijito! \u00A1Sube con nosotros, no te quedes con los infieles!\u00BB",
        "43. Dijo: \u00ABMe refugiar\u00E9 en unamonta\u00F1a que me proteja del agua\u00BB. Dijo: \u00ABHoy nadie encontrar\u00E1 protecci\u00F3n contra la orden de Al\u00E1, salvo aqu\u00E9l de quien \u00C9l se apiade\u00BB. Se interpusieron entre ambos las olas y fue de los que se ahogaron.",
        "44. Y se dijo: \u00AB\u00A1Traga, tierra, tu agua!\u00A1Escampa, cielo!\u00BB, Y el agua fue absorbida, se cumpli\u00F3 la orden y se pos\u00F3 en el Chudi. Y se dijo: \u00AB\u00A1Atr\u00E1s el pueblo imp\u00EDo!\u00BB",
        "45. No\u00E9 invoc\u00F3 a su Se\u00F1or y dijo:\u00AB\u00A1Se\u00F1or! Mi hijo es de mi familia. Lo que T\u00FA prometes es verdad. T\u00FA eres Quien mejor decide\u00BB.",
        "46. Dijo: \u00AB\u00A1No\u00E9! \u00A1\u00C9l no es de tu familia!\u00A1Es un acto incorrecto! \u00A1No me pidas algo de lo que no tienes conocimiento! Te prevengo: \u00A1no seas de los ignorantes!\u00BB",
        "47. Dijo: \u00AB\u00A1Se\u00F1or, l\u00EDbrame de pedirtealgo de lo que no tengo conocimiento! Si T\u00FA no me perdonas y Te apiadas de m\u00ED, ser\u00E9 de los que est\u00E1n perdidos...\u00BB",
        "48. Se dijo: \u00AB\u00A1No\u00E9! \u00A1Desembarca conpaz venida de Nosotros y con bendiciones sobre ti y las comunidades que desciendan de quienes te acompa\u00F1an. Hay comunidades a las que dejaremos que gocen por breve tiempo. Luego, les castigaremos severamente\u00BB.",
        "49. Esto forma parte de las historiasreferentes a lo oculto que Nosotros te revelamos. No las conoc\u00EDas antes t\u00FA, ni tampoco tu pueblo. \u00A1Ten paciencia, pues! \u00A1El fin es para los que temen a Al\u00E1!",
        "50. Y a los aditas su hermano Hud.Dijo: \u00AB\u00A1Pueblo! \u00A1Servid a Al\u00E1! No ten\u00E9is a ning\u00FAn otro dios que a \u00C9l. No hac\u00E9is m\u00E1s que inventar.",
        "51. \u00A1Pueblo! No os pido salario acambio. Mi salario incumbe s\u00F3lo a Aqu\u00E9l Que me ha creado. \u00BFEs que no razon\u00E1is?",
        "52. Y, \u00A1pueblo!, \u00A1pedid perd\u00F3n avuestro Se\u00F1or y, luego, volveos a \u00C9l! Enviar\u00E1 sobre vosotros del cielo una lluvia abundante y os fortalecer\u00E1. \u00A1No volv\u00E1is la espalda como pecadores!\u00BB",
        "53. Dijeron: \u00AB\u00A1Hud! \u00A1No nos has tra\u00EDdoninguna prueba clara! \u00A1No vamos a dejar a nuestros dioses porque t\u00FA lo digas! \u00A1No tenemos fe en ti!",
        "54. Lo \u00FAnico que decimos es que unode nuestros dioses te ha causado mal\u00BB. Dijo: \u00AB\u00A1Pongo a Al\u00E1 por testigo y sed vosotros tambi\u00E9n testigos de que soy inocente de lo que vosotros asoci\u00E1is",
        "55. en lugar de \u00C9l! \u00A1Urdid algo todoscontra m\u00ED y no me hag\u00E1is esperar!\u00BB",
        "56. Yo conf\u00EDo en Al\u00E1, mi Se\u00F1or ySe\u00F1or vuestro. \u00A1No hay ser que no dependa de \u00C9l! Mi Se\u00F1or est\u00E1 en una v\u00EDa recta.",
        "57. Si volv\u00E9is la espalda... yo ya os hecomunicado aquello con que he sido enviado a vosotros. Mi Se\u00F1or har\u00E1 que os suceda otro pueblo y no podr\u00E9is hacerle ning\u00FAn da\u00F1o. \u00A1Mi Se\u00F1or todo lo vigila!",
        "58. Cuando vino Nuestra orden,salvamos por una misericordia venida de Nosotros a Hud y a los que con \u00E9l creyeron y les libramos de un duro castigo.",
        "59. As\u00ED eran los aditas. Negaron lossignos de su Se\u00F1or y desobedecieron a Sus enviados, siguiendo, en cambio, las \u00F3rdenes de todo tirano desviado.",
        "60. En la vida de ac\u00E1 fueronperseguidos por una maldici\u00F3n y tambi\u00E9n lo ser\u00E1n el d\u00EDa de la Resurrecci\u00F3n. \u00A1No! \u00A1Los aditas no creyeron en su Se\u00F1or! \u00A1S\u00ED! \u00A1Atr\u00E1s los aditas, pueblo de Hud!",
        "61. Y a los tamudeos su hermanoSalih. Dijo: \u00AB\u00A1Pueblo! \u00A1Servid a Al\u00E1! No ten\u00E9is a ning\u00FAn otro dios que a \u00C9l. \u00C9l os ha creado de la tierra y os ha establecido en ella. \u00A1Pedidle perd\u00F3n! Luego, \u00A1volveos a \u00C9l! Mi Se\u00F1or est\u00E1 cerca, escucha\u00BB.",
        "62. Dijeron: \u00AB\u00A1Salih! hab\u00EDamos puestoen ti hasta ahora nuestra esperanza. \u00BFNos proh\u00EDbes que sirvamos lo que serv\u00EDan nuestros padres? Dudamos seriamente de aquello a que nos llamas\u00BB.",
        "63. Dijo: \u00AB\u00A1Pueblo! \u00BFQu\u00E9 os parece?Si yo me baso en una prueba clara venida de mi Se\u00F1or, Que me ha hecho objeto de una misericordia venida de \u00C9l, \u00BFqui\u00E9n me auxiliar\u00E1 contra Al\u00E1 si Le desobedezco? No har\u00EDais sino aumentar mi perdici\u00F3n.",
        "64. Y, \u00A1pueblo!, \u00E9sa es la camella deAl\u00E1, que ser\u00E1 signo para vosotros. \u00A1Dejadla que pazca en la tierra de Al\u00E1 y no le hag\u00E1is mal! Si no, os alcanzar\u00E1 pronto un castigo\u00BB.",
        "65. Pero la desjarretaron y dijo:\u00AB\u00A1Gozad a\u00FAn de vuestros bienes durante tres d\u00EDas! Es una amenaza que no dejar\u00E1 de cumplirse\u00BB.",
        "66. Y, cuando vino Nuestra orden,preservamos por una misericordia venida de Nosotros a Salih y a los que con \u00E9l creyeron del oprobio de aquel d\u00EDa. Tu Se\u00F1or es el Fuerte, el Poderoso.",
        "67. El Grito sorprendi\u00F3 a los quehab\u00EDan sido imp\u00EDos y amanecieron muertos en sus casas,",
        "68. como si no hubieran habitado enellas. \u00A1No! \u00A1Los tamudeos no creyeron en su Se\u00F1or! \u00A1S\u00ED! \u00A1Atr\u00E1s los tamudeos!",
        "69. Y ya trajeron nuestros enviados labuena nueva a Abraham. Dijeron: \u00AB\u00A1Paz!\u00BB Dijo: \u00AB\u00A1Paz!\u00BB Y no tard\u00F3 en traer un ternero asado.",
        "70. Y cuando vio que sus manos no lotocaban, sospech\u00F3 de ellos y sinti\u00F3 temor de ellos. Dijeron: \u00AB\u00A1No temas! Se nos ha enviado al pueblo de Lot\u00BB.",
        "71. Su mujer estaba presente y se ri\u00F3.Y le anunciamos la buena nueva de Isaac y, despu\u00E9s de la de Isaac, la de Jacob.",
        "72. Dijo ella: \u00AB\u00A1Ay de m\u00ED! \u00BFVoy a dar aluz ahora que soy tan vieja y este mi marido\u00BB tan viejo? \u00A1Ciertamente, esto es algo asombroso!\u00BB",
        "73. \u00AB\u00BFTe asombras de la orden deAl\u00E1?\u00BB dijeron: \u00AB\u00A1Que la misericordia de Al\u00E1 y Sus bendiciones sean sobre vosotros, gente de la casa! \u00A1Es digno de ser alabado, glorificado!\u00BB",
        "74. Y cuando el temor de Abraham sehubo desvanecido y recibi\u00F3 la buena noticia, se puso a discutir con Nosotros sobre el pueblo de Lot.",
        "75. Abraham era, ciertamente,benigno, tierno, estaba arrepentido.",
        "76. \u00AB\u00A1Abraham! \u00A1Deja de defenderles!\u00A1Ha llegado la orden de tu Se\u00F1or y recibir\u00E1n un castigo ineludible!\u00BB",
        "77. Y cuando Nuestros enviadosvinieron a Lot, \u00E9ste se afligi\u00F3 por ellos y se sinti\u00F3 impotente para protegerles. Dijo: \u00AB\u00A1Este es un d\u00EDa terrible!\u00BB",
        "78. Su pueblo, que sol\u00EDa antescometer el mal, corri\u00F3 a Lot, que dijo: \u00AB\u00A1Pueblo! \u00A1Aqu\u00ED ten\u00E9is a mis hijas. Son m\u00E1s puras para vosotros. \u00A1Temed a Al\u00E1 y no me avergonc\u00E9is en mis hu\u00E9spedes! \u00BFNo hay entre vosotros un hombre honrado?",
        "79. Dijeron: \u00ABYa sabes que notenemos ning\u00FAn derecho a tus hijas. T\u00FA ya sabes lo que queremos...\u00BB",
        "80. Dijo: \u00AB\u00A1Ah! Si os pudiera... o sipudiera recurrir a un apoyo fuerte...\u00BB",
        "81. Dijeron: \u00AB\u00A1Lot! \u00A1Somos losenviados de tu Se\u00F1or! \u00A1No se llegar\u00E1n a ti! \u00A1Ponte en camino con tu familia durante la noche y que ninguno de vosotros se vuelva! Tu mujer, s\u00ED que se volver\u00E1 y le alcanzar\u00E1 el mismo castigo que a ellos. Esto les ocurrir\u00E1 al alba. \u00BFNo est\u00E1 cercana el alba?\u00BB",
        "82. Y cuando vino Nuestra orden, lavolvimos de arriba abajo e hicimos llover sobre ella piedras de arcilla a montones,",
        "83. marcadas junto a tu Se\u00F1or. Y noest\u00E1 lejos de los imp\u00EDos.",
        "84. Y a los madianitas su hermanoSuayb. Dijo: \u00AB\u00A1Pueblo! \u00A1Servid a Al\u00E1! No ten\u00E9is a ning\u00FAn otro dios que a \u00C9l. \u00A1No defraud\u00E9is en la medida ni en el peso! Os veo en el bienestar, pero temo por vosotros el castigo de un d\u00EDa de alcance universal.",
        "85. Y, \u00A1pueblo!, \u00A1dad la medida y elpeso equitativos! \u00A1No defraud\u00E9is a los dem\u00E1s en sus bienes! \u00A1No obr\u00E9is mal en la tierra corrompiendo!",
        "86. Lo que Al\u00E1 os deja es mejor para?vosotros, si es que sois creyentes. Y yo no soy vuestro custodio\u00BB",
        "87. Dijeron: \u00AB\u00A1Suayb! \u00BFAcaso teordena tu religi\u00F3n que dejemos lo que nuestros padres serv\u00EDan o que dejemos de utilizar libremente nuestra hacienda? T\u00FA eres, ciertamente, el benigno, el honrado\u00BB.",
        "88. Dijo: \u00AB\u00A1Pueblo! \u00BFQu\u00E9 os parece?Si yo me baso en una prueba clara venida de mi Se\u00F1or y \u00C9l me provee de un bello sustento venido de \u00C9l... Yo no pretendo contrariaros cuando os proh\u00EDbo algo. No pretendo sino reformaros en la medida de mis posibles. Mi \u00E9xito no depende sino de Al\u00E1. En \u00C9l conf\u00EDo y a \u00C9l me vuelvo arrepentido.",
        "89. Y \u00A1pueblo!, \u00A1que la oposici\u00F3n a m\u00EDno os cause los mismos males que alcanzaron al pueblo de No\u00E9 o al pueblo de Hud o al pueblo de Salih! Y el pueblo de Lot no est\u00E1 lejos de vosotros.",
        "90. \u00A1Pedid perd\u00F3n a vuestro Se\u00F1or!Luego, \u00A1volveos a \u00C9l! Mi Se\u00F1or es misericordioso, lleno de amor\u00BB.",
        "91. Dijeron: \u00AB\u00A1Suayb! No entendemosmucho de lo que dices. Entre nosotros se te tiene por d\u00E9bil. Si no hubiera sido por tu clan, te habr\u00EDamos lapidado. No nos impresionas\u00BB.",
        "92. Dijo: \u00AB\u00A1Pueblo! \u00A1Os impresiona miclan m\u00E1s que Al\u00E1, a Quien hab\u00E9is pospuesto con desprecio? Mi Se\u00F1or abarca todo lo que hac\u00E9is.",
        "93. \u00A1Pueblo! \u00A1Obrad seg\u00FAn vuestrasituaci\u00F3n! Yo tambi\u00E9n obrar\u00E9... Ver\u00E9is qui\u00E9n va a recibir un castigo humillante y qui\u00E9n es el que miente... \u00A1Vigilad! Yo tambi\u00E9n vigilar\u00E9 con vosotros\u00BB.",
        "94. Cuando vino Nuestra orden,salvamos por una misericordia venida de Nosotros a Suayb y a los que con \u00E9l cre\u00EDan. El Grito sorprendi\u00F3 a los que hab\u00EDan sido imp\u00EDos y amanecieron muertos en sus casas,",
        "95. como si no hubieran habitado enellas. \u00A1S\u00ED! Atr\u00E1s los madianitas! como tambi\u00E9n se hab\u00EDa dicho a los tamudeos.",
        "96. Y ya enviamos a Mois\u00E9s conNuestros signos y con una autoridad manifiesta",
        "97. a Fara\u00F3n y a sus dignatarios. Pero\u00E9stos siguieron la orden de Fara\u00F3n. Y la orden de Fara\u00F3n no era sensata.",
        "98. El d\u00EDa de la Resurrecci\u00F3n,preceder\u00E1 a su pueblo y le conducir\u00E1 a beber al Fuego. \u00A1Qu\u00E9 mal abrevadero...!",
        "99. En esta vida fueron perseguidospor una maldici\u00F3n y lo ser\u00E1n tambi\u00E9n el d\u00EDa de la Resurrecci\u00F3n. \u00A1Qu\u00E9 mal regalo...!",
        "100. Te contamos estas cosas de lasciudades: algunas de ellas est\u00E1n a\u00FAn en pie, otras son rastrojo.",
        "101. No hemos sido Nosotros quieneshan sido injustos con sus habitantes, sino que ellos lo han sido consigo mismos. Sus dioses, a los que invocaban, en lugar de invocar a Al\u00E1, no les sirvieron de nada cuando vino la orden de tu Se\u00F1or. No hicieron sino aumentar su perdici\u00F3n.",
        "102. As\u00ED castiga tu Se\u00F1or cuandocastiga las ciudades que son imp\u00EDas. Su castigo es doloroso, severo.",
        "103. Ciertamente, hay en ello un signopara quien teme el castigo de la otra vida. \u00C9se es un d\u00EDa en que todos los hombres ser\u00E1n congregados, un d\u00EDa que todos presenciar\u00E1n.",
        "104. No lo retrasaremos sino hasta elplazo fijado.",
        "105. El d\u00EDa que esto ocurra nadiehablar\u00E1 sino con Su permiso. De los hombres, unos ser\u00E1n desgraciados, otros felices.",
        "106. Los desgraciados estar\u00E1n en elFuego, gimiendo y bramando,",
        "107. eternamente, mientras duren loscielos y la tierra, a menos que tu Se\u00F1or disponga otra cosa. Tu Se\u00F1or hace siempre lo que quiere.",
        "108. Los felices, en cambio, estar\u00E1nen el Jard\u00EDn, eternamente, mientras duren los cielos y la tierra, a menos que tu Se\u00F1or disponga otra cosa. Ser\u00E1 un don ininterrumpido.",
        "109. No vivas con dudas respecto a loque sirven esas gentes. No sirven sino como serv\u00EDan antes sus padres. Vamos a darles, sin mengua, la parte que les corresponde.",
        "110. Y ya dimos a Mois\u00E9s la Escritura,pero discreparon acerca de ella y, si no llega a ser por una palabra previa de tu Se\u00F1or, ya se habr\u00EDa decidido entre ellos. Y ellos dudan seriamente de ella.",
        "111. Ciertamente, tu Se\u00F1orremunerar\u00E1 a todos sus obras sin falta. Est\u00E1 bien informado de lo que hacen.",
        "112. S\u00E9 recto como se te ha ordenadoy lo mismo los que, contigo, se arrepientan. \u00A1No se\u00E1is rebeldes! \u00C9l ve bien lo que hac\u00E9is.",
        "113. \u00A1Y no os arrim\u00E9is a los imp\u00EDos, nosea que el fuego os alcance! No ten\u00E9is, fuera de Al\u00E1 amigos. Luego, no ser\u00E9is auxiliados.",
        "114. Haz la azal\u00E1 en las dos horasextremas del d\u00EDa y en las primeras de la noche. Las buenas obras disipan las malas. \u00C9sta es una amonestaci\u00F3n para los que recuerdan.",
        "115. \u00A1Y ten paciencia! Al\u00E1 no deja deremunerar a quienes hacen el bien.",
        "116. Entre las generaciones que osprecedieron, \u00BFpor qu\u00E9 no hubo gentes virtuosas que se opusieran a la corrupci\u00F3n en la tierra, salvo unos pocos que Nosotros salvamos, mientras que los imp\u00EDos persist\u00EDan en el lujo en que viv\u00EDan y se hac\u00EDan culpables?",
        "117. No iba tu Se\u00F1or a destruir lasciudades injustamente mientras sus poblaciones se portaban correctamente.",
        "118. Tu Se\u00F1or, si hubiera querido,habr\u00EDa hecho de los hombres una sola comunidad. Pero no cesan en sus discrepancias,",
        "119. salvo aqu\u00E9llos que han sidoobjeto de la misericordia de tu Se\u00F1or, y por eso los ha creado. Se ha cumplido la palabra de tu Se\u00F1or: \u00AB\u00A1He de llenar la gehena de genios y de hombres, de todos ellos!\u00BB",
        "120. Te contamos todo esto, sacadode las historias de los enviados, para confirmar tu coraz\u00F3n. As\u00ED te llegan, con ellas, la Verdad, una exhortaci\u00F3n y una amonestaci\u00F3n para los creyentes.",
        "121. Y di a los que no creen: \u00AB\u00A1Obradseg\u00FAn vuestra situaci\u00F3n! Nosotros tambi\u00E9n obraremos....",
        "122. \u00A1Y esperad! \u00A1Nosotrosesperamos!\u00BB",
        "123. A Al\u00E1 pertenece lo oculto de loscielos y de la tierra. \u00C9l es el fin de todo. \u00A1S\u00EDrvele! \u00A1Conf\u00EDa en \u00C9l! Tu Se\u00F1or est\u00E1 atento a lo que hac\u00E9is.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 11;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "H\u00FAd";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "El Profeta Hud";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 123;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "11: H\u00FAd";
    }

}//class end
