/*
 * @(#) Sure114.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure114
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure114 ()
    {}

    private static final String [] ayts =
    {
        "#114=An-N\u00E1s=Los Hombres=Mecana|Medinesa=6",
        "1. Di: \u00ABMe refugio en el Se\u00F1or de loshombres,",
        "2. el Rey de los hombres,",
        "3. el Dios de los hombres,",
        "4. del mal de la insinuaci\u00F3n, del quese escabulle,",
        "5. que insin\u00FAa en el \u00E1nimo de loshombres,",
        "6. sea genio, sea hombre\u00BB",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 114;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "An-N\u00E1s";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "Los Hombres";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana|Medinesa";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 6;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "114: An-N\u00E1s";
    }

}//class end
