/*
 * @(#) Sure32.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure32
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure32 ()
    {}

    private static final String [] ayts =
    {
        "#32=As-Saydah=La Adoraci\u00F3n=Mecana=30",
        "1. Alif-l\u00E1m-m\u00EDm.",
        "2. La revelaci\u00F3n de la Escritura,exenta de dudas, procede del Se\u00F1or del universo.",
        "3. O dicen: \u00AB\u00C9l la ha inventado\u00BB. \u00A1No!es la Verdad venida de tu Se\u00F1or, para que adviertas a un pueblo al que no ha venido monitor alguno antes de ti. Quiz\u00E1s, as\u00ED, sean bien dirigidos.",
        "4. Al\u00E1 es Quien ha creado los cielos,la tierra y lo que entre ellos est\u00E1 en seis d\u00EDas. Luego, se ha instalado en el Trono. Fuera de \u00C9l, no ten\u00E9is amigo ni intercesor. \u00BFEs que no os dejar\u00E9is amonestar?",
        "5. \u00C9l dispone en el cielo todo lo de latierra. Luego, todo ascender\u00E1 a \u00C9l en un d\u00EDa equivalente en duraci\u00F3n a mil a\u00F1os de los vuestros.",
        "6. Tal es el Conocedor de lo oculto yde lo patente, el Poderoso, el Misericordioso,",
        "7. Que ha hecho bien todo cuanto hacreado y ha comenzado la creaci\u00F3n del hombre de arcilla",
        "8. -luego, ha establecido sudescendencia de una gota de l\u00EDquido vil-;",
        "9. luego, le ha dado forma armoniosae infundido en \u00E9l de Su Esp\u00EDritu. Os ha dado el o\u00EDdo, la vista y el intelecto. \u00A1Qu\u00E9 poco agradecidos sois!",
        "10. Dicen: \u00ABCuando nos hayamosperdido en la tierra, \u00BFes verdad que se nos crear\u00E1 de nuevo?\u00BB No, no creen en el encuentro de su Se\u00F1or.",
        "11. Di: \u00ABEl \u00E1ngel de la muerte,encargado de vosotros, os llamar\u00E1 y, luego, ser\u00E9is devueltos a vuestro Se\u00F1or\u00BB.",
        "12. Si pudieras ver a los pecadores,cabizbajos ante su Se\u00F1or: \u00AB\u00A1Se\u00F1or! \u00A1Hemos visto y o\u00EDdo! \u00A1Haznos volver para que hagamos obras buenas! \u00A1Estamos convencidos!\u00BB",
        "13. Si hubi\u00E9ramos querido, habr\u00EDamosdirigido a cada uno. Pero se ha realizado Mi sentencia: \u00AB\u00A1He de llenar la gehena de genios y de hombres, de todos ellos!\u00BB",
        "14. \u00A1Gustad, pues, por haber olvidadoque os llegar\u00EDa este d\u00EDa! Nosotros tambi\u00E9n os hemos olvidado. \u00A1Gustad el castigo eterno por lo que hab\u00E9is hecho!",
        "15. S\u00F3lo creen en Nuestras aleyasquienes, al ser amonestados con ellas, caen al suelo en adoraci\u00F3n y glorifican a su Se\u00F1or, sin mostrarse altivos.",
        "16. Se alzan del lecho para invocar asu Se\u00F1or con temor y anhelo y dan limosna de lo que les hemos prove\u00EDdo.",
        "17. Nadie sabe la alegr\u00EDa reservada aellos en retribuci\u00F3n a sus obras.",
        "18. \u00BFEs que el creyente es como elperverso? No son iguales.",
        "19. Quienes crean y obren bientendr\u00E1n los jardines de la Morada como alojamiento en premio a sus obras.",
        "20. Pero los que obren conperversidad tendr\u00E1n el Fuego como morada. Siempre que quieran salir de \u00E9l, ser\u00E1n devueltos a \u00E9l y se les dir\u00E1: \u00AB\u00A1Gustad el castigo del Fuego que desment\u00EDais!\u00BB",
        "21. Hemos de darles a gustar delcastigo de aqu\u00ED abajo antes del castigo mayor. Quiz\u00E1s, as\u00ED, se conviertan.",
        "22. \u00BFHay alguien que sea m\u00E1s imp\u00EDoque quien, habi\u00E9ndosele recordado los signos de su Se\u00F1or, se desv\u00EDa luego de ellos? Nos vengaremos de los pecadores.",
        "23. Hemos dado a Mois\u00E9s la Escritura-no dudes, pues, en encontrarle- e hicimos de ella direcci\u00F3n para los Hijos de Israel.",
        "24. Elegimos de entre ellos a jefes queles dirigieran siguiendo Nuestra orden como premio por haber perseverado y por haber estado convencidos de Nuestros signos.",
        "25. Tu Se\u00F1or fallar\u00E1 entre ellos el d\u00EDade la Resurrecci\u00F3n sobre aquello en que discrepaban.",
        "26. \u00BFEs que no les dice nada quehayamos hecho perecer a tantas generaciones precedentes, cuyas viviendas huellan ellos ahora? Ciertamente, hay en ello signos. \u00BFNo oir\u00E1n, pues?",
        "27. \u00BFEs que no ven c\u00F3mo conducimosel agua a la tierra pelada y, gracias a ella, sacamos los cereales de que se alimentan sus reba\u00F1os y ellos mismos? \u00BFNo ver\u00E1n, pues?",
        "28. Y dicen: \u00AB\u00BFPara cu\u00E1ndo ese fallo,si es verdad lo que dec\u00EDs?\u00BB",
        "29. Di: \u00ABEl d\u00EDa del fallo, la fe ya noaprovechar\u00E1 a los infieles y no les ser\u00E1 dado esperar\u00BB.",
        "30. \u00A1Ap\u00E1rtate, pues, de ellos y espera!\u00A1Ellos esperan!",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 32;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "As-Saydah";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "La Adoraci\u00F3n";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 30;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "32: As-Saydah";
    }

}//class end
