/*
 * @(#) Sure52.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure52
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure52 ()
    {}

    private static final String [] ayts =
    {
        "#52=At-T\u00FAr=EL Monte=Mecana=49",
        "1. \u00A1Por el Monte!",
        "2. \u00A1Por una Escritura, puesta porescrito",
        "3. en un pergamino desenrollado!",
        "4. \u00A1Por la Casa frecuentada!",
        "5. \u00A1Por la b\u00F3veda elevada!",
        "6. \u00A1Por el mar hinchado!",
        "7. \u00A1S\u00ED, el castigo de tu Se\u00F1or tendr\u00E1lugar,",
        "8. nadie podr\u00E1 rechazarlo!",
        "9. El d\u00EDa que el cielo girevertiginosamente",
        "10. y se pongan las monta\u00F1as enmarcha.",
        "11. Ese d\u00EDa \u00A1ay de los desmentidores,",
        "12. que parloteaban por pasar el rato!",
        "13. El d\u00EDa que se les empuje,violentamente, al fuego de la gehena:",
        "14. \u00AB\u00A1\u00C9ste es el fuego quedesment\u00EDais!",
        "15. \u00BFEs, pues, esto magia? \u00BFO es queno veis claro?",
        "16. \u00A1Arded en \u00E9l! Debe daros lo mismoque lo aguant\u00E9is o no. S\u00F3lo se os retribuye por vuestras obras\u00BB.",
        "17. Quienes temieron a Al\u00E1, encambio, estar\u00E1n en jardines y delicia,",
        "18. disfrutando de lo que su Se\u00F1or lesd\u00E9. Su Se\u00F1or les habr\u00E1 preservado del castigo del fuego de la gehena.",
        "19. \u00AB\u00A1Comed y bebed en paz! \u00A1Por loque hab\u00E9is hecho!\u00BB",
        "20. Reclinados en lechos alineados. Yles daremos por esposas a hur\u00EDes de grandes ojos.",
        "21. Reuniremos con los creyentes alos descendientes que les siguieron en la fe. No les menoscabaremos nada sus obras. Cada uno ser\u00E1 responsable de lo que haya cometido.",
        "22. Les proveeremos de la fruta y dela carne que apetezcan.",
        "23. All\u00ED se pasar\u00E1n unos a otros unacopa cuyo contenido no incitar\u00E1 a vaniloquio ni a pecado.",
        "24. Para servirles, circular\u00E1n a sualrededor muchachos como perlas ocultas.",
        "25. Y se volver\u00E1n unos a otros parapreguntarse.",
        "26. Dir\u00E1n: \u00ABAntes viv\u00EDamosangustiados en medio de nuestra familia.",
        "27. Al\u00E1 nos agraci\u00F3 y preserv\u00F3 delcastigo del viento abrasador.",
        "28. Ya Le invoc\u00E1bamos antes. Es elBueno, el Misericordioso\u00BB.",
        "29. \u00A1Amonesta, pues, porque, por lagracia de tu Se\u00F1or, no eres adivino ni poseso!",
        "30. O dicen: \u00AB\u00A1Un poeta...!\u00A1Esperaremos las vicisitudes de su sino!\u00BB",
        "31. Di: \u00AB\u00A1Esperad! Yo espero convosotros\u00BB.",
        "32. \u00BFSe les ordena en sue\u00F1os quehablen as\u00ED o es que son gente rebelde?",
        "33. O dicen: \u00AB\u00A1\u00C9l se lo ha inventado!\u00BB\u00A1No, no creen!",
        "34. Si es verdad lo que dicen, \u00A1quetraigan un relato semejante!",
        "35. \u00BFHan sido creados de la nada? \u00BFOson ellos los creadores?",
        "36. \u00BFO han creado los cielos y latierra? No, no est\u00E1n convencidos.",
        "37. \u00BFO tienen los tesoros de tu Se\u00F1or?\u00BFO se creen unos potentados?",
        "38. \u00BFO tienen una escala que lespermita escuchar? El que de ellos lo consiga \u00A1que aporte una autoridad manifiesta!",
        "39. \u00BFO tendr\u00E1 \u00C9l hijas, como vosotrosten\u00E9is hijos?",
        "40. \u00BFO es que les reclamas un salariotal que se vean abrumados de deudas?",
        "41. \u00BFO es que conocen lo oculto ytoman nota?",
        "42. \u00BFO quieren urdir unaestratagema? Los infieles ser\u00EDan sus v\u00EDctimas.",
        "43. \u00BFO tienen un dios diferente deAl\u00E1? \u00A1Gloria a Al\u00E1, Que est\u00E1 por encima de lo que Le asocian!",
        "44. Si vieran caer parte del cielo,dir\u00EDan: \u00ABSon nubes que se han amontonado\u00BB.",
        "45. D\u00E9jales hasta que les llegue sud\u00EDa, cuando sean fulminados,",
        "46. el d\u00EDa que su estratagema no lessirva de nada y nadie les auxilie.",
        "47. Los imp\u00EDos sufrir\u00E1n, adem\u00E1s, otrocastigo, pero la mayor\u00EDa no saben.",
        "48. \u00A1Espera paciente la decisi\u00F3n de tu,Se\u00F1or, pues te vemos! Y \u00A1celebra las alabanzas de tu Se\u00F1or cuando est\u00E1s de pie!",
        "49. \u00A1Glorif\u00EDcale durante la noche y aldeclinar las estrellas!",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 52;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "At-T\u00FAr";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "EL Monte";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 49;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "52: At-T\u00FAr";
    }

}//class end
