/*
 * @(#) Sure70.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure70
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure70 ()
    {}

    private static final String [] ayts =
    {
        "#70=Al-Ma'\u00E1riy=Las Gradas=Mecana=44",
        "1. Alguien ha pedido un castigoinmediato",
        "2. para los infieles, que nadie puedarechazar,",
        "3. que venga de Al\u00E1, Se\u00F1or de lasgradas.",
        "4. Los \u00E1ngeles y el Esp\u00EDritu asciendena \u00C9l en un d\u00EDa que equivale a cincuenta mil a\u00F1os.",
        "5. \u00A1Ten, pues, digna paciencia!",
        "6. Piensan que est\u00E1 lejos,",
        "7. pero Nosotros pensamos que est\u00E1cerca.",
        "8. El d\u00EDa que el cielo parezca metalfundido,",
        "9. y las monta\u00F1as, copos de lana,",
        "10. y nadie pregunte por su amigoferviente.",
        "11. Les ser\u00E1 dado verles. El pecadorquerr\u00E1 librarse del castigo de ese d\u00EDa ofreciendo como rescate a sus hijos varones,",
        "12. a su compa\u00F1era, a su hermano,",
        "13. al clan que lo cobij\u00F3,",
        "14. a todos los de la tierra. Eso lesalvar\u00EDa.",
        "15. \u00A1No! Ser\u00E1 una hoguera,",
        "16. que arrancar\u00E1 el cuero cabelludo",
        "17. y reclamar\u00E1 a quien retroceda yvuelva la espalda,",
        "18. a quien amase y atesore.",
        "19. El hombre es de naturalimpaciente.",
        "20. Pusil\u00E1nime cuando sufre un mal,",
        "21. mezquino cuando la fortuna lefavorece.",
        "22. Se except\u00FAa a quienes oran",
        "23. perseverando en su azal\u00E1,",
        "24. parte de cuyos bienes es dederecho",
        "25. para el mendigo y el indigente,",
        "26. que tienen por aut\u00E9ntico el d\u00EDa delJuicio,",
        "27. que temen el castigo de su Se\u00F1or",
        "28. -nadie debe sentirse seguro contrael castigo de su Se\u00F1or-,",
        "29. que se abstienen de comerciocarnal,",
        "30. salvo con sus esposas o con susesclavas -en cuyo caso no incurren en reproche,",
        "31. mientras que quienes desean aotras mujeres, \u00E9sos son los que violan la ley-,",
        "32. que respetan los dep\u00F3sitos que seles conf\u00EDan y las promesas que hacen,",
        "33. que dicen la verdad en sustestimonios,",
        "34. que observan su azal\u00E1.",
        "35. Esos tales estar\u00E1n en jardines,honrados.",
        "36. \u00BFQu\u00E9 les pasa a los infieles, quevienen hacia ti corriendo con el cuello extendido,",
        "37. en grupos, por la derecha y por laizquierda?",
        "38. \u00BFEs que cada uno de ellos anhelaser introducido en un jard\u00EDn de delicia?",
        "39. \u00A1No! Les creamos de lo que saben.",
        "40. \u00A1Pues no! \u00A1Juro por el Se\u00F1or de losOrientes y de los Occidentes, que somos bien capaces",
        "41. de sustituirles por otros mejoresque ellos, sin que nadie pueda imped\u00EDrnoslo!",
        "42. \u00A1D\u00E9jales que parloteen y jueguenhasta que les llegue el d\u00EDa con que se les ha amenazado,",
        "43. el d\u00EDa que salgan de lassepulturas, r\u00E1pidos como si corrieran hacia piedras erectas,",
        "44. la mirada abatida, cubiertos dehumillaci\u00F3n! Tal ser\u00E1 el d\u00EDa con que se les hab\u00EDa amenazado.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 70;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Ma'\u00E1riy";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "Las Gradas";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 44;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "70: Al-Ma'\u00E1riy";
    }

}//class end
