/*
 * @(#) Sure75.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure75
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure75 ()
    {}

    private static final String [] ayts =
    {
        "#75=Al-Qiy\u00E1mah=La Resurrecci\u00F3n=Mecana=40",
        "1. \u00A1No! \u00A1Juro por el d\u00EDa de laResurrecci\u00F3n!",
        "2. \u00A1Que no! \u00A1Juro por el alma quereprueba!",
        "3. \u00BFCree el hombre que no juntaremossus huesos?",
        "4. \u00A1Claro que s\u00ED! Somos capaces derecomponer sus dedos.",
        "5. Pero el hombre preferir\u00EDa continuarviviendo como un libertino.",
        "6. Pregunta: \u00AB\u00BFCu\u00E1ndo ser\u00E1 el d\u00EDa dela Resurrecci\u00F3n?\u00BB",
        "7. Cuando se ofusque la vista,",
        "8. se eclipse la luna,",
        "9. se re\u00FAnan el sol y la luna,",
        "10. ese d\u00EDa, el hombre dir\u00E1: \u00ABY\u00BFad\u00F3nde escapar?\u00BB",
        "11. \u00A1No! \u00A1No habr\u00E1 escape!",
        "12. Ese d\u00EDa, el lugar de descansoestar\u00E1 junto a tu Se\u00F1or.",
        "13. Ese d\u00EDa, ya se le informar\u00E1 alhombre de lo que hizo y de lo que dej\u00F3 de hacer.",
        "14. \u00A1M\u00E1s a\u00FAn! El hombre testificar\u00E1contra s\u00ED mismo,",
        "15. aun cuando presente sus excusas.",
        "16. \u00A1No muevas la lengua al recitarlopara precipitarla!",
        "17. \u00A1Somos Nosotros los encargadosde juntarlo y de recitarlo!",
        "18. Y, cuando lo recitemos, \u00A1sigue larecitaci\u00F3n!",
        "19. Luego, a Nosotros nos tocaexplicarlo.",
        "20. Pero \u00A1no! En lugar de eso, am\u00E1isla vida fugaz",
        "21. y descuid\u00E1is la otra vida.",
        "22. Ese d\u00EDa, unos rostros brillar\u00E1n,",
        "23. mirando a su Se\u00F1or,",
        "24. mientras que otros, ese d\u00EDa,estar\u00E1n tristes,",
        "25. pensando que una calamidad lesalcance.",
        "26. \u00A1No! Cuando suba hasta lasclav\u00EDculas,",
        "27. se diga: \u00AB\u00BFqui\u00E9n es encantador?\u00BB,",
        "28. crea llegado el momento de laseparaci\u00F3n",
        "29. y se junte una pierna con otra,",
        "30. ese d\u00EDa la marcha ser\u00E1 hacia tuSe\u00F1or.",
        "31. No crey\u00F3, ni or\u00F3,",
        "32. antes bien, desminti\u00F3 y se desvi\u00F3.",
        "33. Luego, se volvi\u00F3 a los suyos conandar altanero.",
        "34. \u00A1Ay de ti! \u00A1Ay!",
        "35. \u00A1S\u00ED! \u00A1Ay de ti! \u00A1Ay!",
        "36. \u00BFCree el hombre que no van aocuparse de \u00E9l?",
        "37. \u00BFNo fue una gota de espermaeyaculada",
        "38. y, luego, un co\u00E1gulo de sangre? \u00C9llo cre\u00F3 y le dio forma armoniosa.",
        "39. E hizo de \u00E9l una pareja: var\u00F3n yhembra.",
        "40. Ese tal \u00BFno ser\u00E1 capaz dedevolver la vida a los muertos?",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 75;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Qiy\u00E1mah";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "La Resurrecci\u00F3n";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 40;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "75: Al-Qiy\u00E1mah";
    }

}//class end
