/*
 * @(#) Sure76.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure76
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure76 ()
    {}

    private static final String [] ayts =
    {
        "#76=Al-Ins\u00E1n=El Hombre=Medinesa=31",
        "1. \u00BFHa pasado el hombre por unper\u00EDodo de tiempo en que no era nada digno de menci\u00F3n?",
        "2. Hemos creado al hombre de unagota, de ingredientes, para ponerle a prueba. Le hemos dado el o\u00EDdo, la vista.",
        "3. Agradecido o desagradecido, lehemos dirigido por el Camino.",
        "4. Para los infieles hemos preparadocadenas, argollas y fuego de gehena.",
        "5. Los justos beber\u00E1n de copas deuna mezcla alcanforada,",
        "6. de una fuente de la que beber\u00E1n lossiervos de Al\u00E1 y que har\u00E1n manar en abundancia.",
        "7. Fueron fieles a sus promesas ytemieron un d\u00EDa cuyo mal ser\u00E1 de alcance universal.",
        "8. Por mucho amor que tuvieran alalimento, se lo daban al pobre, al hu\u00E9rfano y al cautivo:",
        "9. \u00ABOs damos de comer s\u00F3lo poragradar a Al\u00E1. No queremos de vosotros retribuci\u00F3n ni gratitud.",
        "10. Tememos, de nuestro Se\u00F1or, und\u00EDa terrible, calamitoso\u00BB.",
        "11. Al\u00E1 les preservar\u00E1 del mal de esed\u00EDa y les llenar\u00E1 de esplendor y alegr\u00EDa.",
        "12. Les retribuir\u00E1, por haber tenidopaciencia, con un Jard\u00EDn y con vestiduras de seda.",
        "13. Reclinados all\u00ED en sof\u00E1s, estar\u00E1nresguardados all\u00ED del calor y del fr\u00EDo excesivo.",
        "14. Cerca de ellos, les cubrir\u00E1n sussombras; sus frutos podr\u00E1n ser cogidos muy f\u00E1cilmente.",
        "15. Se har\u00E1n circular entre ellosvasijas de plata y copas de cristal,",
        "16. de un cristal de plata, de medidasdeterminadas.",
        "17. All\u00ED se les servir\u00E1 una copa quecontendr\u00E1 una mezcla de jengibre,",
        "18. tomada de una fuente de all\u00ED, quese llama Salsabil.",
        "19. Y circular\u00E1n entre ellos criadosj\u00F3venes de eterna juventud. Vi\u00E9ndoles, se les creer\u00EDa perlas desparramadas.",
        "20. Cuando se mira all\u00E1, no se ve sinodelicia y suntuosidad.",
        "21. Vestir\u00E1n de verde sat\u00E9n y debrocado y llevar\u00E1n brazaletes de plata. Su Se\u00F1or les servir\u00E1 una bebida pura.",
        "22. \u00ABEsto se os ha dado comoretribuci\u00F3n. Vuestro esfuerzo ha sido agradecido\u00BB.",
        "23. Somos Nosotros Quienes tehemos revelado el Cor\u00E1n de hecho.",
        "24. Espera, pues, paciente, la decisi\u00F3nde tu Se\u00F1or y no obedezcas a quien de ellos sea pecador o desagradecido.",
        "25. \u00A1Y menciona el nombre de tuSe\u00F1or ma\u00F1ana y tarde!",
        "26. \u00A1Por la noche, prost\u00E9rnate ante \u00C9l!\u00A1Glorif\u00EDcale largamente por la noche!",
        "27. \u00C9stos aman la vida fugaz ydescuidan un d\u00EDa grave.",
        "28. Nosotros los hemos creado yhemos fortalecido su constituci\u00F3n. Si quisi\u00E9ramos, podr\u00EDamos sustituirlos por otros semejantes.",
        "29. Esto es un Recuerdo. El quequiera \u00A1que emprenda camino hacia su Se\u00F1or!",
        "30. Pero vosotros no lo querr\u00E9is, amenos que Al\u00E1 quiera. Al\u00E1 es omnisciente, sabio.",
        "31. lntroduce en Su misericordia aquien \u00C9l quiere. Pero a los imp\u00EDos les ha preparado un castigo doloroso.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 76;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Ins\u00E1n";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "El Hombre";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Medinesa";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 31;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "76: Al-Ins\u00E1n";
    }

}//class end
