/*
 * @(#) Sure79.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure79
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure79 ()
    {}

    private static final String [] ayts =
    {
        "#79=An-Nazi'\u00E1t=Los que Arrancan=Mecana=46",
        "1. \u00A1Por los que arrancanviolentamente!",
        "2. \u00A1Por los que van r\u00E1pidamente!",
        "3. \u00A1Por los que nadan libremente!",
        "4. \u00A1Por los que van a la cabeza!",
        "5. \u00A1Por los que llevan un asunto!",
        "6. El d\u00EDa que ocurra el temblor,",
        "7. sucedido por el siguiente,",
        "8. ese d\u00EDa, los corazones seestremecer\u00E1n,",
        "9. se humillar\u00E1n las miradas.",
        "10. Dicen: \u00AB\u00BFEs verdad que seremosrestituidos a nuestra primera condici\u00F3n,",
        "11. luego de convertirnos en p\u00FAtridoshuesos?\u00BB",
        "12. Dicen: \u00AB\u00A1Ser\u00EDa un retornopernicioso!\u00BB",
        "13. No habr\u00E1 m\u00E1s que un solo Grito",
        "14. y \u00A1helos despiertos!",
        "15. \u00BFTe has enterado de la historia deMois\u00E9s?",
        "16. Cuando su Se\u00F1or le llam\u00F3 en elvalle sagrado de Tuwa:",
        "17. \u00ABVe a Fara\u00F3n. Se ha excedido.",
        "18. Y di: '\u00BFEst\u00E1s dispuesto apurificarte",
        "19. y a que te dirija a tu Se\u00F1or y, as\u00ED,tengas miedo?\u00BB",
        "20. Le mostr\u00F3 el signo tan grande.",
        "21. Pero \u00E9l desminti\u00F3 y desobedeci\u00F3.",
        "22. Luego, volvi\u00F3 la espaldabruscamente.",
        "23. Y convoc\u00F3 y dirigi\u00F3 una proclama.",
        "24. Dijo: \u00ABSoy yo vuestro alt\u00EDsimoSe\u00F1or\u00BB.",
        "25. Al\u00E1 le infligi\u00F3 el castigo de la otravida y de \u00E9sta.",
        "26. Hay en ello, s\u00ED, motivo de reflexi\u00F3npara quien tenga miedo de Al\u00E1.",
        "27. \u00BFSois vosotros m\u00E1s dif\u00EDciles decrear que el cielo que \u00E9l ha edificado?",
        "28. Alz\u00F3 su b\u00F3veda y le dio formaarmoniosa.",
        "29. Obscureci\u00F3 la noche y sac\u00F3 lama\u00F1ana.",
        "30. Extendi\u00F3, luego, la tierra,",
        "31. sac\u00F3 de ella el agua y los pastos,",
        "32. fij\u00F3 las monta\u00F1as.",
        "33. Para disfrute vuestro y de vuestrosreba\u00F1os.",
        "34. Pero, cuando venga la tan grandeCalamidad,",
        "35. el d\u00EDa que recuerde el hombre susesfuerzos",
        "36. y se haga aparecer el fuego de lagehena a quien pueda ver,",
        "37. quien se haya mostrado rebelde",
        "38. y preferido la vida de ac\u00E1",
        "39. tendr\u00E1 por morada el fuego de lagehena,",
        "40. mientras que quien haya temidocomparecer ante su Se\u00F1or y preservado su alma de la pasi\u00F3n",
        "41. tendr\u00E1 el Jard\u00EDn por morada.",
        "42. Te preguntan por la Hora:\u00AB\u00BFCu\u00E1ndo suceder\u00E1?\u00BB",
        "43. \u00A1No te ocupes t\u00FA de eso!",
        "44. A tu Se\u00F1or Le toca fijarla.",
        "45. \u00A1T\u00FA s\u00F3lo tienes que advertir aquien tiene miedo de ella!",
        "46. El d\u00EDa que la vivan, les parecer\u00E1no haber permanecido m\u00E1s de una tarde o de una ma\u00F1ana.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 79;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "An-Nazi'\u00E1t";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "Los que Arrancan";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 46;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "79: An-Nazi'\u00E1t";
    }

}//class end
