/*
 * @(#) Sure80.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure80
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure80 ()
    {}

    private static final String [] ayts =
    {
        "#80='Abasa=Frunci\u00F3 las Cejas=Mecana=42",
        "1. Frunci\u00F3 las cejas y volvi\u00F3 laespalda,",
        "2. porque el ciego vino a \u00E9l.",
        "3. \u00BFQui\u00E9n sabe? Quiz\u00E1 quer\u00EDapurificarse,",
        "4. o dejarse amonestar y que laamonestaci\u00F3n le aprovechara.",
        "5. A quien es rico",
        "6. le dispensas una buena acogida",
        "7. y te tiene sin cuidado que no quierapurificarse.",
        "8. En cambio, de quien viene a ti,corriendo,",
        "9. con miedo de Al\u00E1,",
        "10. te despreocupas.",
        "11. \u00A1No! Es un Recuerdo,",
        "12. que recordar\u00E1 quien quiera,",
        "13. contenido en hojas veneradas,",
        "14. sublimes, purificadas,",
        "15. escrito por mano de escribas",
        "16. nobles, p\u00EDos.",
        "17. \u00A1Maldito sea el hombre! \u00A1Qu\u00E9desagradecido es!",
        "18. \u00BFDe qu\u00E9 lo ha creado \u00C9l?",
        "19. De una gota lo ha creado ydeterminado;",
        "20. luego, le ha facilitado el camino;",
        "21. luego, le ha hecho morir y sersepultado;",
        "22. luego, cuando \u00C9l quiera, leresucitar\u00E1.",
        "23. \u00A1No! No ha cumplido a\u00FAn lo que \u00C9lle ha ordenado.",
        "24. \u00A1Que mire el hombre su alimento!",
        "25. Nosotros hemos derramado elagua en abundancia;",
        "26. luego, hendido la tierraprofundamente",
        "27. y hecho crecer en ella grano,",
        "28. vides, hortalizas,",
        "29. olivos, palmeras,",
        "30. frondosos jardines,",
        "31. frutas, pastos,",
        "32. para disfrute vuestro y de vuestrosreba\u00F1os.",
        "33. Pero, cuando venga el Estruendo,",
        "34. el d\u00EDa que el hombre huya de suhermano,",
        "35. de su madre y de su padre,",
        "36. de su compa\u00F1era y de sus hijosvarones,",
        "37. ese d\u00EDa, cada cual tendr\u00E1 bastanteconsigo mismo.",
        "38. Ese d\u00EDa, unos rostros estar\u00E1nradiantes,",
        "39. risue\u00F1os, alegres,",
        "40. mientras que otros, ese d\u00EDa,tendr\u00E1n polvo encima,",
        "41. los cubrir\u00E1 una negrura:",
        "42. \u00E9sos ser\u00E1n los infieles, lospecadores.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 80;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "'Abasa";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "Frunci\u00F3 las Cejas";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 42;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "80: 'Abasa";
    }

}//class end
