/*
 * @(#) Sure86.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure86
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure86 ()
    {}

    private static final String [] ayts =
    {
        "#86=At-T\u00E1riq=El Astro Nocturno=Mecana=17",
        "1. \u00A1Por el cielo y el astro nocturno!",
        "2. Y \u00BFc\u00F3mo sabr\u00E1s qu\u00E9 es el astronocturno?",
        "3. Es la estrella de penetrante luz.",
        "4. No hay nadie que no tenga unguardi\u00E1n.",
        "5. \u00A1Que considere el hombre de qu\u00E9ha sido creado!",
        "6. Ha sido creado de un l\u00EDquidofluente,",
        "7. que sale de entre los ri\u00F1ones y lascostillas.",
        "8. En verdad, \u00C9l es capaz de volverle,",
        "9. el d\u00EDa que sean probados lossecretos",
        "10. y no tenga ya fuerza ni quien leauxilie.",
        "11. \u00A1Por el cielo peri\u00F3dico!",
        "12. \u00A1Por la tierra que se abre!",
        "13. Es, en verdad, una palabradecisiva,",
        "14. seria.",
        "15. Ellos emplean una artima\u00F1a,",
        "16. y Yo empleo una artima\u00F1a,",
        "17. \u00A1Concede una pr\u00F3rroga a losinfieles, un poco m\u00E1s de pr\u00F3rroga!",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 86;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "At-T\u00E1riq";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "El Astro Nocturno";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 17;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "86: At-T\u00E1riq";
    }

}//class end
