/*
 * @(#) Sure90.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure90
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure90 ()
    {}

    private static final String [] ayts =
    {
        "#90=Al-Balad=La Ciudad=Mecana=20",
        "1. \u00A1No! \u00A1Juro por esta ciudad,",
        "2. en la que est\u00E1s avecindado!",
        "3. \u00A1Por todo padre y lo que haengendrado!",
        "4. Hemos creado al hombre enaflicci\u00F3n.",
        "5. \u00BFCree que nadie podr\u00E1 contra \u00E9l?",
        "6. Dice: \u00ABHe consumido una haciendaconsiderable\u00BB.",
        "7. \u00BFCree que nadie le ha visto?",
        "8. \u00BFNo le hemos dado dos ojos,",
        "9. una lengua y dos labios?",
        "10. \u00BFNo le hemos mostrado las dosv\u00EDas?",
        "11. Pues nunca se ha puesto a subirla Cuesta.",
        "12. Y \u00BFc\u00F3mo sabr\u00E1s qu\u00E9 es laCuesta?",
        "13. Es manumitir a un esclavo,",
        "14. alimentar en tiempo de hambre",
        "15. a un pariente pr\u00F3ximo hu\u00E9rfano,",
        "16. a un pobre en la miseria.",
        "17. Es, tambi\u00E9n, formar parte de losque creen, de los que se recomiendan mutuamente la paciencia y la misericordia.",
        "18. \u00C9sos son los de la Derecha.",
        "19. En cambio, los que no creen enNuestros signos, \u00E9sos son los de la izquierda.",
        "20. Se cerrar\u00E1 un fuego sobre ellos.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 90;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Balad";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "La Ciudad";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 20;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "90: Al-Balad";
    }

}//class end
