/*
 * @(#) Sure91.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure91
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure91 ()
    {}

    private static final String [] ayts =
    {
        "#91=Ach-Chams=El Sol=Mecana=15",
        "1. \u00A1Por el sol y su claridad!",
        "2. \u00A1Por la luna cuando le sigue!",
        "3. \u00A1Por el d\u00EDa cuando lo muestrabrillante!",
        "4. \u00A1Por la noche cuando lo vela!",
        "5. \u00A1Por el cielo y Quien lo ha edificado!",
        "6. \u00A1Por la tierra y Quien la haextendido!",
        "7. \u00A1Por el alma y Quien le ha dadoforma armoniosa,",
        "8. instruy\u00E9ndole sobre su propensi\u00F3nal pecado y su temor de Dios!",
        "9. \u00A1Bienaventurado quien la purifique!",
        "10. \u00A1Decepcionado, empero, quien lacorrompa!",
        "11. Los tamudeos, en su arrogancia,desmintieron.",
        "12. Cuando el m\u00E1s miserable de entreellos se alz\u00F3.",
        "13. El enviado de Dios les dijo:\u00AB\u00A1Dejad a la camella de Dios y que beba!\u00BB",
        "14. Le desmintieron y la desjarretaron.Su Se\u00F1or, entonces, les aniquil\u00F3 por su pecado, a todos por igual,",
        "15. sin temer las consecuencias deello.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 91;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Ach-Chams";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "El Sol";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 15;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "91: Ach-Chams";
    }

}//class end
