/*
 * @(#) Sure93.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure93
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure93 ()
    {}

    private static final String [] ayts =
    {
        "#93=Ad-Duh\u00E1=La Ma\u00F1ana=Mecana=11",
        "1. \u00A1Por la ma\u00F1ana!",
        "2. \u00A1Por la noche cuando reina lacalma!",
        "3. Tu Se\u00F1or no te ha abandonado niaborrecido",
        "4. S\u00ED, la otra vida ser\u00E1 mejor para tique \u00E9sta.",
        "5. Tu Se\u00F1or te dar\u00E1 y quedar\u00E1ssatisfecho.",
        "6. \u00BFNo te encontr\u00F3 hu\u00E9rfano y terecogi\u00F3?",
        "7. \u00BFNo te encontr\u00F3 extraviado y tedirigi\u00F3?",
        "8. \u00BFNo te encontr\u00F3 pobre y teenriqueci\u00F3?",
        "9. En cuanto al hu\u00E9rfano, \u00A1no leoprimas!",
        "10. Y en cuanto al mendigo, \u00A1no lerechaces!",
        "11. Y en cuanto a la gracia de tuSe\u00F1or, \u00A1publ\u00EDcala!",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 93;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Ad-Duh\u00E1";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "La Ma\u00F1ana";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 11;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "93: Ad-Duh\u00E1";
    }

}//class end
